ApiLab
GET /v1/lab/paper-runs
The caller’s paper runs, newest first, with the grader’s stats (copies, resolved, P&L per $10, entry against the leader, availability, the paper gate). 404 `lab_paper_disabled` while LAB_PAPER_ENABLED is off.
The caller’s paper runs, newest first, with the grader’s stats (copies, resolved, P&L per $10, entry against the leader, availability, the paper gate). 404 lab_paper_disabled while LAB_PAPER_ENABLED is off.
AuthorizationBearer <token>
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Query Parameters
strategy_id?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/lab/paper-runs"{ "paper_runs": [ { "id": "string", "strategy_id": "string", "status": "active", "wallets": [ "string" ], "wallets_refreshed_at": "string", "started_at": "string", "stopped_at": "string", "graded_at": "string", "resolved_copies": 0, "promotable": true, "stats": { "property1": null, "property2": null }, "notes": [ "string" ], "known_issues": [ "string" ], "kind": "copy" } ]}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}